Capability Types - Get
Haal een resource van het mogelijkheidstype op voor het opgegeven doeltype en de opgegeven locatie.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Chaos/locations/{location}/targetTypes/{targetTypeName}/capabilityTypes/{capabilityTypeName}?api-version=2025-01-01
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
capability
|
path | True |
string pattern: ^[a-zA-Z0-9\-\.]+-\d\.\d$ |
Tekenreeks die de resourcenaam van een mogelijkheidstype vertegenwoordigt. |
|
location
|
path | True |
string minLength: 1 |
De naam van de Azure-regio. |
|
subscription
|
path | True |
string (uuid) |
De id van het doelabonnement. De waarde moet een UUID zijn. |
|
target
|
path | True |
string pattern: ^[a-zA-Z0-9_\-\.]+$ |
Tekenreeks die de resourcenaam van het doeltype vertegenwoordigt. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
De Azure-bewerking is voltooid. |
|
| Other Status Codes |
Een onverwachte foutreactie. |
Beveiliging
azure_auth
OAuth2-stroom voor Azure Active Directory.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
Get a Capability Type for a virtual machine Target resource on westus2 location.
Voorbeeldaanvraag
Voorbeeldrespons
{
"name": "Shutdown-1.0",
"type": "Microsoft.Chaos/locations/targetTypes/capabilityTypes",
"id": "/subscriptions/6b052e15-03d3-4f17-b2e1-be7f07588291/providers/Microsoft.Chaos/locations/westus2/targetTypes/Microsoft-VirtualMachine/capabilityTypes/Shutdown-1.0",
"properties": {
"description": "Shutdown an Azure Virtual Machine for a defined period of time.",
"displayName": "Shutdown VM",
"kind": "fault",
"parametersSchema": "https://schema.centralus.chaos-prod.azure.com/targets/Microsoft-VirtualMachine/capabilities/Shutdown-1.0.json",
"publisher": "Microsoft",
"runtimeProperties": {
"kind": "continuous"
},
"targetType": "VirtualMachine",
"urn": "urn:csci:microsoft:virtualMachine:shutdown/1.0",
"azureRbacActions": [
"Microsoft.Compute/virtualMachines/poweroff/action",
"Microsoft.Compute/virtualMachines/start/action",
"Microsoft.Compute/virtualMachines/instanceView/read",
"Microsoft.Compute/virtualMachines/read",
"Microsoft.Compute/locations/operations/read"
],
"requiredAzureRoleDefinitionIds": [
"acdd72a7-3385-48ef-bd42-f606fba81ae0"
]
}
}
Definities
| Name | Description |
|---|---|
|
Capability |
Model dat een mogelijkheidstyperesource vertegenwoordigt. |
|
Capability |
Runtime-eigenschappen van dit mogelijkheidstype. |
|
created |
Het type identiteit waarmee de resource is gemaakt. |
|
Error |
Aanvullende informatie over de resourcebeheerfout. |
|
Error |
De foutdetails. |
|
Error |
Foutreactie |
|
system |
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource. |
CapabilityType
Model dat een mogelijkheidstyperesource vertegenwoordigt.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}" |
| name |
string |
De naam van de resource |
| properties.azureRbacActions |
string[] |
Besturingsvlakacties die nodig zijn om het mogelijkheidstype uit te voeren. |
| properties.azureRbacDataActions |
string[] |
Gegevensvlakacties die nodig zijn om het mogelijkheidstype uit te voeren. |
| properties.description |
string |
Gelokaliseerde tekenreeks van de beschrijving. |
| properties.displayName |
string |
Gelokaliseerde tekenreeks van de weergavenaam. |
| properties.kind |
string |
Tekenreeks van het type van dit mogelijkheidstype. |
| properties.parametersSchema |
string maxLength: 2048 |
URL voor het ophalen van het JSON-schema van de parameters van het mogelijkheidstype. |
| properties.publisher |
string |
Tekenreeks van de uitgever die dit mogelijkheidstype uitbreidt. |
| properties.requiredAzureRoleDefinitionIds |
string[] |
Vereiste Azure-roldefinitie-id's om het mogelijkheidstype uit te voeren. |
| properties.runtimeProperties |
Runtime-eigenschappen van dit mogelijkheidstype. |
|
| properties.targetType |
string |
Tekenreeks van het doeltype dat dit mogelijkheidstype uitbreidt. |
| properties.urn |
string maxLength: 2048 |
Tekenreeks van de URN voor dit mogelijkheidstype. |
| systemData |
Azure Resource Manager-metagegevens met createdBy- en modifiedBy-gegevens. |
|
| type |
string |
Het type resource. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts' |
CapabilityTypePropertiesRuntimeProperties
Runtime-eigenschappen van dit mogelijkheidstype.
| Name | Type | Description |
|---|---|---|
| kind |
string |
Tekenreeks van het type actietype van de resource (doorlopend of discreet). |
createdByType
Het type identiteit waarmee de resource is gemaakt.
| Waarde | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Aanvullende informatie over de resourcebeheerfout.
| Name | Type | Description |
|---|---|---|
| info |
object |
De aanvullende informatie. |
| type |
string |
Het extra informatietype. |
ErrorDetail
De foutdetails.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
De fout bevat aanvullende informatie. |
|
| code |
string |
De foutcode. |
| details |
De foutdetails. |
|
| message |
string |
Het foutbericht. |
| target |
string |
Het foutdoel. |
ErrorResponse
Foutreactie
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject. |
systemData
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
De tijdstempel van het maken van resources (UTC). |
| createdBy |
string |
De identiteit waarmee de resource is gemaakt. |
| createdByType |
Het type identiteit waarmee de resource is gemaakt. |
|
| lastModifiedAt |
string (date-time) |
De tijdstempel van de laatste wijziging van de resource (UTC) |
| lastModifiedBy |
string |
De identiteit die de resource voor het laatst heeft gewijzigd. |
| lastModifiedByType |
Het type identiteit dat de resource voor het laatst heeft gewijzigd. |